import "es6-promise/auto";
import * as ProgressBar from "progress";
import { List, Map } from "immutable";
export interface CliOptions {
    path: string;
    replaceV1?: boolean;
}
declare class Migrator {
    protected progressBar: ProgressBar;
    static steps: List<string>;
    constructor();
    protected perform(options: Map<string, any>): AsyncIterableIterator<Map<string, any>>;
    static migrate(cliOptions: CliOptions): Promise<void>;
}
export default Migrator;
